<?php

namespace Drupal\viewportchecker\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure jQuery-viewport-checker settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'viewportchecker_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['viewportchecker.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('viewportchecker.settings');

    $form['library'] = [
      '#type' => 'fieldset',
      '#title' => 'Load library settings',
    ];

    $form['library']['viewportchecker_devel'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Use uncompressed library'),
      '#description' => $this->t('Load the uncompressed version of viewportchecker. This SHOULD NOT be checked on production sites.'),
      '#default_value' => $config->get('viewportchecker_devel'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('viewportchecker.settings')
      ->set('viewportchecker_devel', $form_state->getValue('viewportchecker_devel'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
